Package Details: geant4-full 11.2.1-1

Git Clone URL: https://aur.archlinux.org/geant4-full.git (read-only, click to copy)
Package Base: geant4-full
Description: A simulation toolkit for particle physics interactions - includes all the optional libraries
Upstream URL: http://geant4.cern.ch/
Licenses: custom: http://geant4.cern.ch/license/
Conflicts: geant4, geant4-abladata, geant4-debug, geant4-ensdfstatedata, geant4-incldata, geant4-ledata, geant4-levelgammadata, geant4-neutronhpdata, geant4-neutronxsdata, geant4-particlexsdata, geant4-piidata, geant4-radioactivedata, geant4-realsurfacedata, geant4-saiddata, geant4_devel
Provides: geant4
Submitter: effeffe
Maintainer: effeffe
Last Packager: effeffe
Votes: 3
Popularity: 0.173989
First Submitted: 2022-12-14 14:46 (UTC)
Last Updated: 2024-03-05 15:08 (UTC)

Dependencies (15)

Required by (21)

Sources (2)

Pinned Comments

effeffe commented on 2024-01-24 11:06 (UTC) (edited on 2024-01-24 11:12 (UTC) by effeffe)

Update 11.2

Please note Geant4 is now using Qt6 as beta. The OpenGL driver is currently being diverted to TSG. As a result, either use OGL or TSG_QT_GLES instead of OGLSqt or any other specific OGL driver

Latest Comments

1 2 Next › Last »

ryottmp3 commented on 2024-02-28 18:31 (UTC)

makepkg stalls at: ==> Tidying install... -> Removing info/doc files... -> Compressing man pages... -> Stripping debugging symbols from binaries and libraries... for yay -S geant4-full I do not seem to have this problem with other packages. Editing PKGBUILD and passing '!strip' in options appears to patch the issue

FibonacciEffect commented on 2024-02-28 09:20 (UTC)

It works now, thanks a lot : )

effeffe commented on 2024-02-27 15:58 (UTC)

Updated again, I apologise for that. I forgot to push the correct geant4-fill.install file

FibonacciEffect commented on 2024-02-27 15:42 (UTC)

Okay, what I did was that I deleted everything and pulled again from scratch, so I assumed that all files should be up to date:

(base) ➜  geant4 rm -rf geant4-full
(base) ➜  geant4 git clone https://aur.archlinux.org/geant4-full.git
Cloning into 'geant4-full'...
remote: Enumerating objects: 134, done.
remote: Counting objects: 100% (134/134), done.
remote: Compressing objects: 100% (106/106), done.
remote: Total 134 (delta 42), reused 115 (delta 28), pack-reused 0
Receiving objects: 100% (134/134), 41.54 KiB | 1012.00 KiB/s, done.
Resolving deltas: 100% (42/42), done.
(base) ➜  geant4 cd geant4-full
(base) ➜  geant4-full git:(master) makepkg -si
==> Making package: geant4-full 11.2.0-3 (Tue Feb 27 16:39:53 2024)
==> Checking runtime dependencies...
==> Checking buildtime dependencies...
==> Retrieving sources...
  -> Downloading geant4-v11.2.0.tar.gz...
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
100 34.9M  100 34.9M    0     0  27.0M      0  0:00:01  0:00:01 --:--:-- 32.7M
  -> Found geant4-full.install
  -> Found SoQt.patch
==> Validating source files with sha256sums...
    geant4-v11.2.0.tar.gz ... Passed
    geant4-full.install ... FAILED
    SoQt.patch ... Passed
==> ERROR: One or more files did not pass the validity check!
(base) ➜  geant4-full git:(master) ✗

effeffe commented on 2024-02-27 15:36 (UTC)

That is weird tbh, the geant4-full.install file hasn't been modified. Can you remove your .install and PKGBUILD files and pull them again, please?

FibonacciEffect commented on 2024-02-27 15:15 (UTC)

Thanks a lot, now they are not passing the validity check

geant4-full git:(master) makepkg -si
==> Making package: geant4-full 11.2.0-3 (Tue Feb 27 16:14:31 2024)
==> Checking runtime dependencies...
==> Checking buildtime dependencies...
==> Retrieving sources...
  -> Downloading geant4-v11.2.0.tar.gz...
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
  0     0    0     0    0     0      0      0 --:--:-- --  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
  0     0    0     0    0     0      0      0 --:--:-- -- 71 34.9M   71 25.0M    0     0  21.9M      0  0:00:01  0100 34.9M  100 34.9M    0     0  24.3M      0  0:00:01  0:00:01 --:--:-- 29.0M
  -> Found geant4-full.install
  -> Found SoQt.patch
==> Validating source files with sha256sums...
    geant4-v11.2.0.tar.gz ... Passed
    geant4-full.install ... FAILED
    SoQt.patch ... Passed
==> ERROR: One or more files did not pass the validity check!

effeffe commented on 2024-02-27 14:35 (UTC)

Try now, it is a minor update, so no pkgrel number change. Please let me know

AlexBocken commented on 2024-02-27 13:24 (UTC) (edited on 2024-02-27 13:33 (UTC) by AlexBocken)

Please quote all occurences of $srcdir and $pkgdir, otherwise the PKGBUILD fails in paths containing spaces.

In general, quote your variables, otherwise the script could fail in a quite ugly way.

FibonacciEffect commented on 2024-02-27 13:16 (UTC)

@effefe No, it throws an error:

➜  geant4-full git:(master) ✗ makepkg -si
==> Making package: geant4-full 11.2.0-3 (Tue Feb 27 14:13:41 2024)
==> Checking runtime dependencies...
==> Checking buildtime dependencies...
==> Retrieving sources...
  -> Found geant4-v11.2.0.tar.gz
  -> Found geant4-full.install
  -> Found SoQt.patch
==> Validating source files with sha256sums...
    geant4-v11.2.0.tar.gz ... Passed
    geant4-full.install ... Passed
    SoQt.patch ... Passed
==> Extracting sources...
  -> Extracting geant4-v11.2.0.tar.gz with bsdtar
==> Starting prepare()...
/popos/home/.../code/geant4/geant4-full/PKGBUILD: line 62: cd: too many arguments
==> ERROR: A failure occurred in prepare().
    Aborting...

effeffe commented on 2024-02-27 12:22 (UTC)

@FibonacciEffect if you simply run $ makepkg -si does it work? I usually test that each version compiles correctly before pushing the update on AUR I'll try again today and update this post